Name:		converseen
Version:	0.6.4
Release:	%mkrel 4
Summary:	A batch image conversion tool

Group:		Graphics/Editors and Converters
License:	GPLv3
URL:		http://converseen.sf.net/
Source0:	http://downloads.sourceforge.net/converseen/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(ImageMagick++)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
Converseen is a batch image conversion tool and resizer written in C++ with Qt4
and Magick++.  Converseen allows you to convert images in more than 100
different formats!


%prep
%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
%makeinstall_std -C build
%find_lang %{name}

%files
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/kde4/services/ServiceMenus/%{name}_import.desktop
%{_datadir}/converseen/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.4-4.mga4
+ Revision: 535164
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.6.4-3.mga4
+ Revision: 481477
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.6.4-2.mga4
+ Revision: 464398
- rebuild for new imagemagick

* Sun Jul 28 2013 fwang <fwang> 0.6.4-1.mga4
+ Revision: 459731
- new version 0.6.4

* Fri May 31 2013 fwang <fwang> 0.6.2-1.mga4
+ Revision: 433550
- use cmake
- update file list
- new version 0.6.2

* Tue May 28 2013 fwang <fwang> 0.5.3-2.mga4
+ Revision: 429147
- rebuild for new imagemagick

* Sun Apr 07 2013 bersuit <bersuit> 0.5.3-1.mga3
+ Revision: 409020
- Update to 0.5.3: it works with ImageMagick >= 6.8.0

* Thu Feb 07 2013 juancho <juancho> 0.5.2.1-1.mga3
+ Revision: 395052
- Updated to 0.5.2.1 (bugfix only release)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 348119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 0.5.2-1.mga3
+ Revision: 340957
- Updated to 0.5.2

* Fri Dec 14 2012 fwang <fwang> 0.5.1-3.mga3
+ Revision: 330751
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.5.1-2.mga3
+ Revision: 305103
- update rpm group
- rebuild for new imagemagick

* Tue Jul 31 2012 shlomif <shlomif> 0.5.1-1.mga3
+ Revision: 276763
- New version 0.5.1 - thanks to fedya.

* Wed Jun 06 2012 juancho <juancho> 0.5-1.mga3
+ Revision: 256078
- Updated to 0.5

* Thu Feb 02 2012 juancho <juancho> 0.4.9-1.mga2
+ Revision: 204004
- Fixed group
- imported package converseen


* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-4
- Fix %%cmake use

* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-3
- Use %%cmake macro instead of cmake

* Wed Jan 18 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-2
- Use desktop-file-install
- Remove INSTALL file from doc macro

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-1
- Update to new release 0.4.8

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.7-29
- Update spec file to include package in Fedora repository

* Thu Dec 01 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.7
- Optimized GUI for small screen resolutions (netbooks)
- Fixed overwriting with upper suffixes
- Now the window geometry is saved

* Mon Sep 12 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.5
- Modified the code to work in Windows
- Added Turkish translation
- Added support for Cmake

* Tue Aug 02 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.3
- Added service menu for Kde
- Fixed overwriting with upper suffixes
- Added Spanish (Chile) translation

* Sun Jun 26 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.2
- Fixed overwriting dialog when the renaming option is enabled.

* Wed Mar 09 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.1
- Improved picture previewer
- If the output folder doesn't exists it will be created

* Fri Feb 11 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4:
- Added thread support to image conversions.
- Added a progress bar into the conversion dialog.
- Added drag and drop.
- Improved management of PNG.
- Fixed various bugs and improved the code.
- Added Brazilian Portuguese translation.
- Added German translation.

* Sat Oct 23 2010 Francesco Mondello <faster3ck@gmail.com>
- Version 0.3.2: Added french translation

* Sun Sep 12 2010 Francesco Mondello <faster3ck@gmail.com>
- Initial rpm release to version 0.3.1
